<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__wpts__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_wpts_char_value_t</compoundname>
    <includes local="no">cy_ble_wpts.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__wpts__char__value__t_1afe0ec7bdf25d293e63a8621bdfb3c385" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_wpts_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" bodystart="84" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" line="84" />
      </memberdef>
      <memberdef id="structcy__stc__ble__wpts__char__value__t_1abd54f9f10f2bc9fac3c7e1f804d21744" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___w_p_t_s__definitions_1gaa487cfa444741a51b293f4e2fb64cadd">cy_en_ble_wpts_char_index_t</ref></type>
        <definition>cy_en_ble_wpts_char_index_t cy_stc_ble_wpts_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" bodystart="85" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" line="85" />
      </memberdef>
      <memberdef id="structcy__stc__ble__wpts__char__value__t_1a19f8f04169196b37e24aa0f0efc11ac1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_wpts_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" bodystart="86" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" line="86" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>WPTS Characteristic Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1318">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1316">
        <label>cy_stc_ble_wpts_char_value_t</label>
        <link refid="structcy__stc__ble__wpts__char__value__t" />
        <childnode refid="1317" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="1318" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="1317">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="87" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wpts.h" line="83" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__wpts__char__value__t_1abd54f9f10f2bc9fac3c7e1f804d21744" virt="non-virtual"><scope>cy_stc_ble_wpts_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__wpts__char__value__t_1afe0ec7bdf25d293e63a8621bdfb3c385" virt="non-virtual"><scope>cy_stc_ble_wpts_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__wpts__char__value__t_1a19f8f04169196b37e24aa0f0efc11ac1" virt="non-virtual"><scope>cy_stc_ble_wpts_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>